| Home | Libraries | People | FAQ | More

## Struct template result_of

boost::compute::result_of

## Synopsis

    // In header: <boost/compute/type_traits/result_of.hpp>

    template<typename Signature>
    struct result_of {
      // types
      typedef ::boost::tr1_result_of< Signature >::type type;
    };

## Description

Returns the result of `Function` when called with `Args`.

For example,

    // int + int = int
    result_of<plus(int, int)>::type == int